• KDE 4.11 RC1



    La dernière version de KDE est passé en RC1, ainsi les rapports de bogues sont plus importants que jamais.
    Dans le même temps, les équipes de packageurs travaillent également sur le polissage de leurs paquets



    En ce qui concerne openSUSE, vous pouvez faire d'une pierre deux coups en installant les paquets fournis dans le dépôt KDE:distro:Factory. Il y a deux sortes de bugs que vous devez déclarer :
    • Les problèmes logiciel (bugs, plantages, comportements inattendus, régressions... ) : L'équipe KDE aimerait beaucoup vos commentaires, n’hésitez pas à soumettre des rapports de bugs détaillés sur bugs.kde.org
    • Les problème de packaging (conflits, fichiers manquants, mauvaise installation ...). Dans ce cas, informez l'équipe de KDE openSUSE par le dépôt d'un rapport pour le Bugzilla de Novell.

    Comme ce n'est pas encore une version stable, cela va généralement sans dire, mais je le répète quand même: ne pas utiliser ces paquets sur des systèmes de production, ne les installer que si vous voulez tester. Pour tous les autres, il vaut mieux attendre la sortie officielle, qui fera également partie de la prochaine openSUSE 13.1.

    have fun !!!

    Source:

    Commentaires 19 Commentaires
    1. Avatar de Denebe
      Denebe -
      Ça y est, la mise à niveau est passée depuis aujourd'hui. Avant, ces derniers jours, j'avais une dépendance à résoudre pour laquelle je ne savais pas trop quoi faire.
      Bref, j'ai lancé un "zypper dup --from KR410" (KR410 est le nom de mon dépôt), on m'a proposé pas trop méchamment de changer de fournisseur pour quelques paquets, alors j'ai accepté.

      J'ai un léger soucis, j'ai perdu la possibilité de régler la luminosité de mon écran (et le choix de la sortie d'écran je crois). J'ai au lancement de KDE un message à ce sujet, ensuite mon bureau est disponible,

      Marble a évolué dans la gestion des fenêtres, on peut maintenant déplacer les panels disponibles. Par exemples "vue des cartes" à gauche de l'écran, et "Légende à droite. Dit autrement, c'est comme dans Dolphin: on peut déplacer les Panneaux...

      Alors voilà, on y est à la version LTS. Que de chemin parcouru depuis 4.0 ! En attendant impatiemment la génération suivante, Je lui souhaite longue vie.
    1. Avatar de Denebe
      Denebe -
      Retour: mon gestionnaire de session kdm (dit-on comme ça ?) ne se lançait plus, j'ai eu droit au prompteur.

      Je me suis logué, puis j'ai lancé le serveurX ( "sudo startx" ), j'ai installé une version inférieure de kdm (soit la 4.10.5) en cassant certaines dépendances, et bien mes alleux ça a marché.

      En revanche pas de nouvelle quant à la gestion de la luminosité de mon écran.
    1. Avatar de Denebe
      Denebe -
      Quand j'essaie à nouveau d'installer "kdm 4.10.95", il est indiqué que ce paquet demande d'avoir kdm-branding 4.11, que cette dépendance ne peut pas être satisfaite. Une des solution proposée est d'installer une version inférieure de kdm-branding. C'est un peu contradictoire à mon sens, mais c'est ce qui m'est proposé. De toutes les manières ça ne marche pas, je reste donc pour le moment avec kdm 4.10.5.

      Edit: A comparer avec KDE SC 4.10.5, dans KDE SC 4.10.95 ( 4.11 RC1) je n'ai plus de problèmes d'affichage des Notifications, je pense à celui de la boite à miniature, pas celui du plasmoide qu'on peut rajouter.
    1. Avatar de sobkowiak
      sobkowiak -
      Citation Envoyé par Denebe Voir le message
      Quand j'essaie à nouveau d'installer "kdm 4.10.95", il est indiqué que ce paquet demande d'avoir kdm-branding 4.11, que cette dépendance ne peut pas être satisfaite. Une des solution proposée est d'installer une version inférieure de kdm-branding. C'est un peu contradictoire à mon sens, mais c'est ce qui m'est proposé. De toutes les manières ça ne marche pas, je reste donc pour le moment avec kdm 4.10.5.

      Edit: A comparer avec KDE SC 4.10.5, dans KDE SC 4.10.95 ( 4.11 RC1) je n'ai plus de problèmes d'affichage des Notifications, je pense à celui de la boite à miniature, pas celui du plasmoide qu'on peut rajouter.




      J'ai pû installer opensuse 12.3 + kde 4.11 sur une vbox, le tout parfaitement fonctionnel. Dans les choix proposés, vous deviez avoir celui de ne pas installer kdm, c'est l'option à choisir. On se retrouve simplement avec une page de login archi moche, mais qu'il est possible de modifier, ce que j'ai fait. J'ai mis le thème caledonia.
    1. Avatar de Denebe
      Denebe -
      Oui, la procédure est similaire, elle tend à éviter le paquet kdm 4.10.95 (pour le moment). Je ne me souviens pas avoir eu de choix, me semble-t-il, lors de la mise à niveau. J'avais utilisé la commande "zypper dup --from KR10", avec comme nom de dépôt KR10.
      Merci de ton retour.
    1. Avatar de jvcharles
      jvcharles -
      as-tu essayé avec kdm-branding-upstream 4.10.95 ?
      j'ai aussi kdm 4.10.95 et pas de problème
      normalement ont doit désactivé les autres dépôts kde pour empêcher les conflits
    1. Avatar de sobkowiak
      sobkowiak -
      Citation Envoyé par jvcharles Voir le message
      as-tu essayé avec kdm-branding-upstream 4.10.95 ?
      j'ai aussi kdm 4.10.95 et pas de problème
      normalement ont doit désactivé les autres dépôts kde pour empêcher les conflits

      Pour l'instant, c'est la seule version installable, puisque kdm-brandinsg-OpenSUSE-12.3-183.9 est en conflit avec kdm-branding-upstream et entraîne la désinstallation de kdm.
    1. Avatar de jvcharles
      jvcharles -
      hé bien tu le supprime kdm-branding-OpenSUSE-12.3-183.9 et tu installes kdm-branding-upstream pour avoir un kde 4.11 cohérent
    1. Avatar de sobkowiak
      sobkowiak -
      Citation Envoyé par jvcharles Voir le message
      hé bien tu le supprime kdm-branding-OpenSUSE-12.3-183.9 et tu installes kdm-branding-upstream pour avoir un kde 4.11 cohérent

      En fait, je ne faisais que confirmer ce que j'ai dit auparavant. On installe kdm-branding-upstream, et on change le thème.
    1. Avatar de jluce
      jluce -
      yop

      non t'as pas besoins du upstream, c'est celui la qu'il faut viré

      moi j'ai ca d'installer

      kdm-branding-openSUSE-12.3-183.9.noarch

      et ca tourne sans soucis...

      a+
    1. Avatar de sobkowiak
      sobkowiak -
      Citation Envoyé par jluce Voir le message
      yop

      non t'as pas besoins du upstream, c'est celui la qu'il faut viré

      moi j'ai ca d'installer

      kdm-branding-openSUSE-12.3-183.9.noarch

      et ca tourne sans soucis...

      a+

      Comme je suis joueur et que de toutes façons je teste sur une Vbox, j'ai suivi votre conseil Résultat, retour de la page de login ultra moche et impossiblité de changer de thème. Normal puisque l'installation de kdm-branding-openSUSE vire aussi kdm.
    1. Avatar de jluce
      jluce -
      donc t'as xdm

      maintenant remet kdm depuis le depots KDE factory pour voir ce que ca dit ???

      a+
    1. Avatar de Denebe
      Denebe -
      Jusqu'à il y a peu le couple "kdm 4.10.95" et "kdm-branding-upstream 4.10.95" m'orientait vers le prompteur, tout comme avec le couple "kdm 4.10.95" + "kdm-branding-opensuse 12.3-189.9noarch". (échec donc)

      Depuis la mise à jour d'hier, selon la date des paquets du dépôt, ça marche. Le gestionnaire de session est assez moche il est vrai, mais ça marche. Je tourne donc avec les paquets "kdm 4.10.95-949.1" et "kdm-branding-upstream 4.10.95-949.1"



      Quand j'essaie d'installer "kdm-branding-opensuse 12.3-189.9noarch", yast m'indique qu'il y a deux conflits, le premier naturellement avec le paquet "kdm-branding-upstream 4.10.95-949.1", le second m'indiquant qu'il faut installer une version moins récente de kdm, à savoir la version 4.10.5.
    1. Avatar de jvcharles
      jvcharles -
      je me pose quelque question depuis que je suis avec opensuse, pourquoi des noms différent et des numéro de version qui ne ce suive pas comme par exemple; "kdm-branding-upstream 4.10.95-949.1" et "kdm-branding-opensuse 12.3-189.9noarch" ?

      j'ai kubuntu, quand je change de version de kde, tous change en même temps et j'ai pas de besoin savoir si telle ou telle paquet est bien installé.
    1. Avatar de sobkowiak
      sobkowiak -
      Citation Envoyé par jluce Voir le message
      donc t'as xdm

      maintenant remet kdm depuis le depots KDE factory pour voir ce que ca dit ???

      a+
      Me suis pas embêté, ai remis ma config initiale
    1. Avatar de sobkowiak
      sobkowiak -
      Citation Envoyé par jvcharles Voir le message
      je me pose quelque question depuis que je suis avec opensuse, pourquoi des noms différent et des numéro de version qui ne ce suive pas comme par exemple; "kdm-branding-upstream 4.10.95-949.1" et "kdm-branding-opensuse 12.3-189.9noarch" ?

      j'ai kubuntu, quand je change de version de kde, tous change en même temps et j'ai pas de besoin savoir si telle ou telle paquet est bien installé.

      La seule différence, c'est que le paquet kdm-branding-opensuse affiche une page de login tunée Opensuse (caméléon etc...). On peut de toutes facons changer le thème en passant par etc/sysconfig.
    1. Avatar de jvcharles
      jvcharles -
      pour ma par, j'aime mieux un changement de version plus transparente que d'avoir une connexion plus jolie, ce qui compte pour un système est la stabilité.

      quand on ce retrouve avec cet question;
      paquet manquant avec un multiple choix 1, 2, etc... et que voulez-vous faire, je trouve sa bâcler sur tous quand le paquet existe et qu'il ne le suggère même pas.

      mon avis personnel
    1. Avatar de Denebe
      Denebe -
      Citation Envoyé par jvcharles Voir le message
      pour ma par, j'aime mieux un changement de version plus transparente que d'avoir une connexion plus jolie, ce qui compte pour un système est la stabilité.

      quand on ce retrouve avec cet question;
      paquet manquant avec un multiple choix 1, 2, etc... et que voulez-vous faire, je trouve sa bâcler sur tous quand le paquet existe et qu'il ne le suggère même pas.

      mon avis personnel
      Dans le dépôt officiel, il n'y a aucun soucis, dans le dépôt Upstream aussi (avec KDE SC 4.10.5).

      Là on est avec le dépôt factory avec une RC1. Même en fin de cycle, on est encore dans un processus de "test".
    1. Avatar de Denebe
      Denebe -
      Bon, je poste ici, comme le sujet a été initialement débattu dans cette nouvelle.

      Depuis aujourd'hui, depuis la dernière mise à jour, j'ai pu à nouveau utiliser kdm-branding-opensuse, la version 12.3-10.1 présentement, avec kdm 4.10.97.
      Je le trouve assez beau cette invité de session façon opensuse